Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# HasTransposedTypeConcept Struct Template Reference
[Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct boost::gil::HasTransposedTypeConcept< T >

Concept for locators and views that can define a type just like the given locator or view, except X and Y is swapped.

    concept HasTransposedTypeConcept<typename T> {
        typename transposed_type<T>;
            where Metafunction<transposed_type<T> >;
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp